Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 4.3.0SynchronousAuth Required

SetIAM2ProjectLoginExpired

SetIAM2ProjectLoginExpired

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • setiam2projectloginexpiredObjectRequired

    setiam2projectloginexpired request body object.

    • loginExpiredMapRequired

      The login expiration expression.

    • loginExpiredAttributeUuidString

      Optional. Expression attribute UUID (you can pre-set an UUID. If left blank, the system auto-generates one).

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/iam2/projects/add/login-expired/{uuid}/actions

/zstack/v1/iam2/projects/add/login-expired/{uuid}/actions

Operation ID

SetIAM2ProjectLoginExpired

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/iam2/projects/add/login-expired/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setiam2projectloginexpired":{"loginExpired":{},"loginExpiredAttributeUuid":"<loginExpiredAttributeUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history